AnnotWindow=Turbine.UI.Lotro.Window()
AnnotWindow:SetVisible(false)
AnnotWindow:SetSize(500,320)
AnnotWindow:SetPosition((displayWidth-AnnotWindow:GetWidth())/2,(displayHeight-AnnotWindow:GetHeight())/2)
AnnotWindow:SetText(Resource[language][63])

AnnotWindow.Caption=Turbine.UI.Label()
AnnotWindow.Caption:SetParent(AnnotWindow)
AnnotWindow.Caption:SetSize(100,20)
AnnotWindow.Caption:SetPosition(5,45)
AnnotWindow.Caption:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Caption:SetText(Resource[language][64]..":")
AnnotWindow.Select=DropDownList()
AnnotWindow.Select:SetParent(AnnotWindow)
AnnotWindow.Select:SetSize(AnnotWindow:GetWidth()-120,20)
AnnotWindow.Select:SetPosition(110,AnnotWindow.Caption:GetTop())
AnnotWindow.Select:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Select:SetBackColor(Turbine.UI.Color.Black)
AnnotWindow.Select:AddItem("<NEW>",1)
AnnotWindow.Select:SetSelectedIndex(1)
AnnotWindow.Select:SetMouseVisible(false)
AnnotWindow.Select:SetZOrder(3)

AnnotWindow.TypeCapt=Turbine.UI.Label()
AnnotWindow.TypeCapt:SetParent(AnnotWindow)
AnnotWindow.TypeCapt:SetSize(100,20)
AnnotWindow.TypeCapt:SetPosition(5,AnnotWindow.Caption:GetTop()+25)
AnnotWindow.TypeCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.TypeCapt:SetText(Resource[language][65]..":")
AnnotWindow.TypeSelect=DropDownList()
AnnotWindow.TypeSelect:SetParent(AnnotWindow)
AnnotWindow.TypeSelect:SetSize(AnnotWindow:GetWidth()-120,20)
AnnotWindow.TypeSelect:SetPosition(110,AnnotWindow.TypeCapt:GetTop())
AnnotWindow.TypeSelect:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.TypeSelect:SetBackColor(Turbine.UI.Color.Black)
AnnotWindow.TypeSelect:SetZOrder(2)
local tmpIcons={}
for k,v in pairs(annotIcon) do
	table.insert(tmpIcons,k)
end
table.sort(tmpIcons)
local tmpIndex=#tmpIcons
for k,v in ipairs(tmpIcons) do
	AnnotWindow.TypeSelect:AddItem(Resource[language][annotIcon[v].StringID],v)
	if v==55 then tmpIndex=k end
end
AnnotWindow.TypeSelect:SetSelectedIndex(tmpIndex) -- CPOI
tmpIndex=nil
tmpIcons=nil

AnnotWindow.RegionCapt=Turbine.UI.Label()
AnnotWindow.RegionCapt:SetParent(AnnotWindow)
AnnotWindow.RegionCapt:SetSize(100,20)
AnnotWindow.RegionCapt:SetPosition(5,AnnotWindow.TypeCapt:GetTop()+25)
AnnotWindow.RegionCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.RegionCapt:SetText(Resource[language][66]..":")
AnnotWindow.Region=RadioButtonGroup()
AnnotWindow.Region:SetParent(AnnotWindow)
AnnotWindow.Region:SetSize(AnnotWindow:GetWidth()-120,40)
AnnotWindow.Region:SetPosition(110,AnnotWindow.RegionCapt:GetTop())
AnnotWindow.Region:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Region.UnselectedIcon=resourcePath.."RB_unselected.tga";
AnnotWindow.Region.SelectedIcon=resourcePath.."RB_selected.tga";
AnnotWindow.Region.IconWidth=16;
AnnotWindow.Region.IconHeight=16;
AnnotWindow.Region:AddChoice(Resource[language][13]);
AnnotWindow.Region:AddChoice(Resource[language][14]);
AnnotWindow.Region:AddChoice(Resource[language][24]);
AnnotWindow.Region:AddChoice(Resource[language][56]);
AnnotWindow.Region:SetRows(2);
AnnotWindow.Region:SetSelectedChoice(1);

AnnotWindow.NSCapt=Turbine.UI.Label()
AnnotWindow.NSCapt:SetParent(AnnotWindow)
AnnotWindow.NSCapt:SetSize(100,20)
AnnotWindow.NSCapt:SetPosition(5,AnnotWindow.RegionCapt:GetTop()+45)
AnnotWindow.NSCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.NSCapt:SetText(Resource[language][67]..":")
AnnotWindow.NS=Turbine.UI.Lotro.TextBox()
AnnotWindow.NS:SetParent(AnnotWindow)
AnnotWindow.NS:SetSize(80,20)
AnnotWindow.NS:SetPosition(110,AnnotWindow.NSCapt:GetTop())
AnnotWindow.NS:SetFont(Turbine.UI.Lotro.Font.Verdana18)

AnnotWindow.EWCapt=Turbine.UI.Label()
AnnotWindow.EWCapt:SetParent(AnnotWindow)
AnnotWindow.EWCapt:SetSize(100,20)
AnnotWindow.EWCapt:SetPosition(5,AnnotWindow.NSCapt:GetTop()+25)
AnnotWindow.EWCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.EWCapt:SetText(Resource[language][68]..":")
AnnotWindow.EW=Turbine.UI.Lotro.TextBox()
AnnotWindow.EW:SetParent(AnnotWindow)
AnnotWindow.EW:SetSize(80,20)
AnnotWindow.EW:SetPosition(110,AnnotWindow.EWCapt:GetTop())
AnnotWindow.EW:SetFont(Turbine.UI.Lotro.Font.Verdana18)

AnnotWindow.NameCapt=Turbine.UI.Label()
AnnotWindow.NameCapt:SetParent(AnnotWindow)
AnnotWindow.NameCapt:SetSize(100,20)
AnnotWindow.NameCapt:SetPosition(5,AnnotWindow.EWCapt:GetTop()+25)
AnnotWindow.NameCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.NameCapt:SetText(Resource[language][69]..":")
AnnotWindow.Name=Turbine.UI.Lotro.TextBox()
AnnotWindow.Name:SetParent(AnnotWindow)
AnnotWindow.Name:SetSize(AnnotWindow:GetWidth()-120,20)
AnnotWindow.Name:SetPosition(110,AnnotWindow.NameCapt:GetTop())
AnnotWindow.Name:SetFont(Turbine.UI.Lotro.Font.Verdana18)

AnnotWindow.DescCapt=Turbine.UI.Label()
AnnotWindow.DescCapt:SetParent(AnnotWindow)
AnnotWindow.DescCapt:SetSize(100,20)
AnnotWindow.DescCapt:SetPosition(5,AnnotWindow.NameCapt:GetTop()+25)
AnnotWindow.DescCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.DescCapt:SetText(Resource[language][70]..":")
AnnotWindow.Desc=Turbine.UI.Lotro.TextBox()
AnnotWindow.Desc:SetParent(AnnotWindow)
AnnotWindow.Desc:SetSize(AnnotWindow:GetWidth()-120,60)
AnnotWindow.Desc:SetPosition(110,AnnotWindow.DescCapt:GetTop())
AnnotWindow.Desc:SetFont(Turbine.UI.Lotro.Font.Verdana18)

AnnotWindow.Save=Turbine.UI.Lotro.Button()
AnnotWindow.Save:SetParent(AnnotWindow)
AnnotWindow.Save:SetSize(120,20)
AnnotWindow.Save:SetPosition(25,AnnotWindow:GetHeight()-40)
AnnotWindow.Save:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Save:SetText(Resource[language][7])
AnnotWindow.Save.Click=function()
	local region=AnnotWindow.Region:GetSelectedChoice()
	local NS=tonumber(AnnotWindow.NS:GetText())
	local EW=tonumber(AnnotWindow.EW:GetText())
	local name=AnnotWindow.Name:GetText()
	local type=AnnotWindow.TypeSelect:GetValue()
	local desc=AnnotWindow.Desc:GetText()
	mapWindow.AddAnnotation(region,NS,EW,name,type,desc)
	mapWindow.RefreshAnnotations()
-- need to save entry in data file
	AnnotWindow:SetVisible(false)
end

AnnotWindow.Cancel=Turbine.UI.Lotro.Button()
AnnotWindow.Cancel:SetParent(AnnotWindow)
AnnotWindow.Cancel:SetSize(120,20)
AnnotWindow.Cancel:SetPosition(AnnotWindow:GetWidth()-25-AnnotWindow.Cancel:GetWidth(),AnnotWindow:GetHeight()-40)
AnnotWindow.Cancel:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Cancel:SetText(Resource[language][8])
AnnotWindow.Cancel.Click=function()
	AnnotWindow:SetVisible(false)
end
